%define languageenglazy Indonesian
%define languagecode    id
%define lc_ctype        id_ID

%define upstream_version 20040812

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 14
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2
Group:          System/Internationalization
URL:            http://wiki.services.openoffice.org/wiki/Dictionaries
Source0:        http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/id_ID.zip

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-id
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
chmod -x *.*

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

chmod 0644 README_id_ID.txt

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_id_ID.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Sat Feb 06 2016 umeabot <umeabot> 0.20040812.1-14.mga6
+ Revision: 940855
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20040812.1-13.mga5
+ Revision: 749642
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20040812.1-12.mga5
+ Revision: 680256
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20040812.1-11.mga4
+ Revision: 505763
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20040812.1-10.mga3
+ Revision: 353504
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20040812.1-9.mga3
+ Revision: 325462
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.20040812.1-8.mga2
+ Revision: 224695
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 0.20040812.1-7.mga2
+ Revision: 208097
- use better obsoleting of myspell

* Wed Jan 25 2012 kamil <kamil> 0.20040812.1-6.mga2
+ Revision: 201166
- adapt .spec to the current policies

  + lmenut <lmenut>
    - fix permissions of world-writable files

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20040812.1-4.mga1
+ Revision: 68859
- imported package hunspell-id


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20040812-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20040812-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20040812-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 06 2006 Caolan McNamara <caolanm@redhat.com> - 0.20040812-1
- latest version

* Mon Sep 01 2006 Caolan McNamara <caolanm@redhat.com> - 0.20040410-1
- initial version
